#ifndef __UART_H__
#define __UART_H__

#define DEFAULT_BAUDRATE 230400

#define Ux(y)         U3##y

#define UxBRG           Ux(BRG)
#define UxMODE          Ux(MODE)
#define UxSTA           Ux(STA)
#define UxSTAbits       Ux(STAbits)
#define UxSTACLR        Ux(STACLR)
#define UxSTASET        Ux(STASET)
#define UxTXREG         Ux(TXREG)
#define UxRXREG         Ux(RXREG)

#define TRANS_LAYER_Init UartInit
#define TRANS_LAYER_Task UartTask
#define TRANS_LAYER_Close UartClose

extern void TRANS_LAYER_Init(UINT);
extern void TRANS_LAYER_Task(void);
extern void UartClose(void);
#endif
